Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360699 - virt-what should depend on dmidecode on aarch64
Summary: virt-what should depend on dmidecode on aarch64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-what
Version: 7.3
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 1212027 1275349 1301891
TreeView+ depends on / blocked
 
Reported: 2016-07-27 11:05 UTC by Richard W.M. Jones
Modified: 2016-11-04 07:02 UTC (History)
11 users (show)

Fixed In Version: virt-what-1.13-8.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1275349
Environment:
Last Closed: 2016-11-04 07:02:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2469 normal SHIPPED_LIVE virt-what bug fix update 2016-11-03 14:07:01 UTC

Description Richard W.M. Jones 2016-07-27 11:05:00 UTC
+++ This bug was initially created as a clone of Bug #1275349 +++

Comment from Andrew Jones on 2016-07-26 02:13:35 EDT:

> > Since when acpi=off, virt-what get the result by inspecting
> > /proc/device-tree ,so I didn't think it would be a matter that dmidecode
> > didn't installed by default.
>
> Hmm, I think the RHEL build of virt-what should depend on dmidecode,
> as the ACPI boot detection depends on dmidecode, and RHEL will always
> be boot with ACPI. Rich?

I agree.  Currently the spec file contains:

%ifarch %{ix86} x86_64
Requires:       dmidecode
%endif

I think that aarch64 should now be added to that list.

Comment 2 Xianghua Chen 2016-07-28 09:59:22 UTC
Verified with packages:
virt-what-1.13-8.el7.aarch64

Steps:
Install ore update virt-what:
# yum update virt-what
... ...
--> Running transaction check
---> Package virt-what.aarch64 0:1.13-7.el7 will be updated
---> Package virt-what.aarch64 0:1.13-8.el7 will be an update
--> Processing Dependency: dmidecode for package: virt-what-1.13-8.el7.aarch64
--> Running transaction check
---> Package dmidecode.aarch64 1:3.0-2.el7 will be installed
--> Finished Dependency Resolution
... ...

It's depending on dmidecode now.

So verified.

Comment 4 errata-xmlrpc 2016-11-04 07:02:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2469.html


Note You need to log in before you can comment on or make changes to this bug.